diff -auN --recursive --binary festival-freebsoft-utils-0.6/events.scm /web/usr/share/festival/lib/freebsoft/events.scm
--- festival-freebsoft-utils-0.6/events.scm	2006-01-25 10:07:31.000000000 +0100
+++ /web/usr/share/festival/lib/freebsoft/events.scm	2006-01-27 22:14:55.000000000 +0100
@@ -37,11 +37,19 @@
   '((capital sound "capital")
     (empty-text sound "empty-text")
     (start sound "start")
+    (test sound "test")
     (prompt sound "prompt")
     (message sound "message")
     (finish sound "finish")
     (beginning-of-line sound "beginning-of-line")
-    (end-of-line sound "end-of-line"))
+    (end-of-line sound "end-of-line")
+    (emacspeak-close-object sound "emacspeak-close-object")
+    (emacspeak-large-movement sound "emacspeak-large-movement")
+    (emacspeak-off sound "emacspeak-off")
+    (emacspeak-on sound "emacspeak-on")
+    (emacspeak-open-object sound "emacspeak-open-object")
+    (emacspeak-scroll sound "emacspeak-scroll")
+    (emacspeak-select-object sound "emacspeak-select-object"))
   "Alist mapping logical sound events to any events.
 Each element of the alist is of the form (LOGICAL-EVENT EVENT-TYPE
 EVENT-VALUE), where LOGICAL-EVENT is the symbol naming the event to transform,
diff -auN --recursive --binary festival-freebsoft-utils-0.6/ssml-mode.scm /web/usr/share/festival/lib/freebsoft/ssml-mode.scm
--- festival-freebsoft-utils-0.6/ssml-mode.scm	2006-01-25 10:07:31.000000000 +0100
+++ /web/usr/share/festival/lib/freebsoft/ssml-mode.scm	2006-01-26 16:26:19.000000000 +0100
@@ -39,6 +39,7 @@
 ;; desc: ignored (no reasonable use here known)
 
 
+(require 'duration)
 (require_module 'rxp)
 
 (require 'prosody-param)
@@ -234,29 +235,28 @@
   ((next-func) utt))
 
 ;; Breaks: Adjust silence durations.
-(Param.wrap Duration_Method ssml-duration-method
-  (lambda (utt)
-    ((next-value) utt)
-    (let ((token (utt.relation utt 'Token)))
-      (if (item.has_feat token 'ssml-break)
-          (let ((length (item.feat token 'ssml-break))
-                (starting-token token))
-            (set! token (item.next token))
-            (while (and token (not (item.daughtern token)))
-              (when (item.has_feat token 'ssml-break)
-                (set! length (+ length (item.feat token 'ssml-break))))
-              (set! token (item.next token)))
-            (while (and starting-token (and (not item.daughtern starting-token)))
-              (set! starting-token (item.prev starting-token)))
-            (when starting-token
-              (let* ((seg find_last_seg (item.daughtern starting-token))
-                     (silence (and seg (item.next seg))))
-                (when silence
-                  ;; The final step remains unimplemented for now.
-                  ;; We should adjust features of all the following segments here.
-                  (item.set_feat silence 'ssml-duration length)))))
-          (set! token (item.next token))))
-    utt))
+(define-wrapper (Duration utt) ssml-duration
+  ((next-func) utt)
+  (let ((token (utt.relation utt 'Token)))
+    (if (item.has_feat token 'ssml-break)
+        (let ((length (item.feat token 'ssml-break))
+              (starting-token token))
+          (set! token (item.next token))
+          (while (and token (not (item.daughtern token)))
+            (when (item.has_feat token 'ssml-break)
+              (set! length (+ length (item.feat token 'ssml-break))))
+            (set! token (item.next token)))
+          (while (and starting-token (and (not item.daughtern starting-token)))
+            (set! starting-token (item.prev starting-token)))
+          (when starting-token
+            (let* ((seg find_last_seg (item.daughtern starting-token))
+                   (silence (and seg (item.next seg))))
+              (when silence
+                ;; The final step remains unimplemented for now.
+                ;; We should adjust features of all the following segments here.
+                (item.set_feat silence 'ssml-duration length)))))
+        (set! token (item.next token))))
+  utt)
 
 
 ;;; Markup handlers
diff -auN --recursive --binary festival-freebsoft-utils-0.6/voice-select.scm /web/usr/share/festival/lib/freebsoft/voice-select.scm
--- festival-freebsoft-utils-0.6/voice-select.scm	2006-01-25 10:07:31.000000000 +0100
+++ /web/usr/share/festival/lib/freebsoft/voice-select.scm	2006-01-26 16:28:38.000000000 +0100
@@ -32,6 +32,8 @@
         (US american)
         (BR british))
     (de german)
+    (fr french)
+    (it italian)
     (cs czech))
   "Alist mapping ISO language codes to Festival language names.
 Each element of the alist is of the form (LANGUAGE-CODE LANGUAGE-NAME).
